Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Prefix/20
Addresses2^108
/64 networks2^44
Network
fc03:6000::/20
First address
fc03:6000::
Last address
fc03:6fff:ffff:ffff:ffff:ffff:ffff:ffff
Addresses
324,518,553,658,426,726,783,156,020,576,256 (2^108)
/64 networks (LANs)
17,592,186,044,416 (2^44)
Full form
fc03:6000:0000:0000:0000:0000:0000:0000
Type
Unique local (ULA) fc00::/7
Private IPv6, like RFC 1918; usually fd00::/8
Reverse DNS zone
6.3.0.c.f.ip6.arpa
Split into smaller subnets/36

fc03:6000::/20 makes 65,536 subnets of /36; the first 256 are listed.

Subnets
#SubnetLast address
1fc03:6000::/36fc03:6000:fff:ffff:ffff:ffff:ffff:ffff
2fc03:6000:1000::/36fc03:6000:1fff:ffff:ffff:ffff:ffff:ffff
3fc03:6000:2000::/36fc03:6000:2fff:ffff:ffff:ffff:ffff:ffff
4fc03:6000:3000::/36fc03:6000:3fff:ffff:ffff:ffff:ffff:ffff
5fc03:6000:4000::/36fc03:6000:4fff:ffff:ffff:ffff:ffff:ffff
6fc03:6000:5000::/36fc03:6000:5fff:ffff:ffff:ffff:ffff:ffff
7fc03:6000:6000::/36fc03:6000:6fff:ffff:ffff:ffff:ffff:ffff
8fc03:6000:7000::/36fc03:6000:7fff:ffff:ffff:ffff:ffff:ffff
9fc03:6000:8000::/36fc03:6000:8fff:ffff:ffff:ffff:ffff:ffff
10fc03:6000:9000::/36fc03:6000:9fff:ffff:ffff:ffff:ffff:ffff
11fc03:6000:a000::/36fc03:6000:afff:ffff:ffff:ffff:ffff:ffff
12fc03:6000:b000::/36fc03:6000:bfff:ffff:ffff:ffff:ffff:ffff
13fc03:6000:c000::/36fc03:6000:cfff:ffff:ffff:ffff:ffff:ffff
14fc03:6000:d000::/36fc03:6000:dfff:ffff:ffff:ffff:ffff:ffff
15fc03:6000:e000::/36fc03:6000:efff:ffff:ffff:ffff:ffff:ffff
16fc03:6000:f000::/36fc03:6000:ffff:ffff:ffff:ffff:ffff:ffff
17fc03:6001::/36fc03:6001:fff:ffff:ffff:ffff:ffff:ffff
18fc03:6001:1000::/36fc03:6001:1fff:ffff:ffff:ffff:ffff:ffff
19fc03:6001:2000::/36fc03:6001:2fff:ffff:ffff:ffff:ffff:ffff
20fc03:6001:3000::/36fc03:6001:3fff:ffff:ffff:ffff:ffff:ffff
21fc03:6001:4000::/36fc03:6001:4fff:ffff:ffff:ffff:ffff:ffff
22fc03:6001:5000::/36fc03:6001:5fff:ffff:ffff:ffff:ffff:ffff
23fc03:6001:6000::/36fc03:6001:6fff:ffff:ffff:ffff:ffff:ffff
24fc03:6001:7000::/36fc03:6001:7fff:ffff:ffff:ffff:ffff:ffff
25fc03:6001:8000::/36fc03:6001:8fff:ffff:ffff:ffff:ffff:ffff
26fc03:6001:9000::/36fc03:6001:9fff:ffff:ffff:ffff:ffff:ffff
27fc03:6001:a000::/36fc03:6001:afff:ffff:ffff:ffff:ffff:ffff
28fc03:6001:b000::/36fc03:6001:bfff:ffff:ffff:ffff:ffff:ffff
29fc03:6001:c000::/36fc03:6001:cfff:ffff:ffff:ffff:ffff:ffff
30fc03:6001:d000::/36fc03:6001:dfff:ffff:ffff:ffff:ffff:ffff
31fc03:6001:e000::/36fc03:6001:efff:ffff:ffff:ffff:ffff:ffff
32fc03:6001:f000::/36fc03:6001:ffff:ffff:ffff:ffff:ffff:ffff
33fc03:6002::/36fc03:6002:fff:ffff:ffff:ffff:ffff:ffff
34fc03:6002:1000::/36fc03:6002:1fff:ffff:ffff:ffff:ffff:ffff
35fc03:6002:2000::/36fc03:6002:2fff:ffff:ffff:ffff:ffff:ffff
36fc03:6002:3000::/36fc03:6002:3fff:ffff:ffff:ffff:ffff:ffff
37fc03:6002:4000::/36fc03:6002:4fff:ffff:ffff:ffff:ffff:ffff
38fc03:6002:5000::/36fc03:6002:5fff:ffff:ffff:ffff:ffff:ffff
39fc03:6002:6000::/36fc03:6002:6fff:ffff:ffff:ffff:ffff:ffff
40fc03:6002:7000::/36fc03:6002:7fff:ffff:ffff:ffff:ffff:ffff
41fc03:6002:8000::/36fc03:6002:8fff:ffff:ffff:ffff:ffff:ffff
42fc03:6002:9000::/36fc03:6002:9fff:ffff:ffff:ffff:ffff:ffff
43fc03:6002:a000::/36fc03:6002:afff:ffff:ffff:ffff:ffff:ffff
44fc03:6002:b000::/36fc03:6002:bfff:ffff:ffff:ffff:ffff:ffff
45fc03:6002:c000::/36fc03:6002:cfff:ffff:ffff:ffff:ffff:ffff
46fc03:6002:d000::/36fc03:6002:dfff:ffff:ffff:ffff:ffff:ffff
47fc03:6002:e000::/36fc03:6002:efff:ffff:ffff:ffff:ffff:ffff
48fc03:6002:f000::/36fc03:6002:ffff:ffff:ffff:ffff:ffff:ffff
49fc03:6003::/36fc03:6003:fff:ffff:ffff:ffff:ffff:ffff
50fc03:6003:1000::/36fc03:6003:1fff:ffff:ffff:ffff:ffff:ffff
51fc03:6003:2000::/36fc03:6003:2fff:ffff:ffff:ffff:ffff:ffff
52fc03:6003:3000::/36fc03:6003:3fff:ffff:ffff:ffff:ffff:ffff
53fc03:6003:4000::/36fc03:6003:4fff:ffff:ffff:ffff:ffff:ffff
54fc03:6003:5000::/36fc03:6003:5fff:ffff:ffff:ffff:ffff:ffff
55fc03:6003:6000::/36fc03:6003:6fff:ffff:ffff:ffff:ffff:ffff
56fc03:6003:7000::/36fc03:6003:7fff:ffff:ffff:ffff:ffff:ffff
57fc03:6003:8000::/36fc03:6003:8fff:ffff:ffff:ffff:ffff:ffff
58fc03:6003:9000::/36fc03:6003:9fff:ffff:ffff:ffff:ffff:ffff
59fc03:6003:a000::/36fc03:6003:afff:ffff:ffff:ffff:ffff:ffff
60fc03:6003:b000::/36fc03:6003:bfff:ffff:ffff:ffff:ffff:ffff
61fc03:6003:c000::/36fc03:6003:cfff:ffff:ffff:ffff:ffff:ffff
62fc03:6003:d000::/36fc03:6003:dfff:ffff:ffff:ffff:ffff:ffff
63fc03:6003:e000::/36fc03:6003:efff:ffff:ffff:ffff:ffff:ffff
64fc03:6003:f000::/36fc03:6003:ffff:ffff:ffff:ffff:ffff:ffff
65fc03:6004::/36fc03:6004:fff:ffff:ffff:ffff:ffff:ffff
66fc03:6004:1000::/36fc03:6004:1fff:ffff:ffff:ffff:ffff:ffff
67fc03:6004:2000::/36fc03:6004:2fff:ffff:ffff:ffff:ffff:ffff
68fc03:6004:3000::/36fc03:6004:3fff:ffff:ffff:ffff:ffff:ffff
69fc03:6004:4000::/36fc03:6004:4fff:ffff:ffff:ffff:ffff:ffff
70fc03:6004:5000::/36fc03:6004:5fff:ffff:ffff:ffff:ffff:ffff
71fc03:6004:6000::/36fc03:6004:6fff:ffff:ffff:ffff:ffff:ffff
72fc03:6004:7000::/36fc03:6004:7fff:ffff:ffff:ffff:ffff:ffff
73fc03:6004:8000::/36fc03:6004:8fff:ffff:ffff:ffff:ffff:ffff
74fc03:6004:9000::/36fc03:6004:9fff:ffff:ffff:ffff:ffff:ffff
75fc03:6004:a000::/36fc03:6004:afff:ffff:ffff:ffff:ffff:ffff
76fc03:6004:b000::/36fc03:6004:bfff:ffff:ffff:ffff:ffff:ffff
77fc03:6004:c000::/36fc03:6004:cfff:ffff:ffff:ffff:ffff:ffff
78fc03:6004:d000::/36fc03:6004:dfff:ffff:ffff:ffff:ffff:ffff
79fc03:6004:e000::/36fc03:6004:efff:ffff:ffff:ffff:ffff:ffff
80fc03:6004:f000::/36fc03:6004:ffff:ffff:ffff:ffff:ffff:ffff
81fc03:6005::/36fc03:6005:fff:ffff:ffff:ffff:ffff:ffff
82fc03:6005:1000::/36fc03:6005:1fff:ffff:ffff:ffff:ffff:ffff
83fc03:6005:2000::/36fc03:6005:2fff:ffff:ffff:ffff:ffff:ffff
84fc03:6005:3000::/36fc03:6005:3fff:ffff:ffff:ffff:ffff:ffff
85fc03:6005:4000::/36fc03:6005:4fff:ffff:ffff:ffff:ffff:ffff
86fc03:6005:5000::/36fc03:6005:5fff:ffff:ffff:ffff:ffff:ffff
87fc03:6005:6000::/36fc03:6005:6fff:ffff:ffff:ffff:ffff:ffff
88fc03:6005:7000::/36fc03:6005:7fff:ffff:ffff:ffff:ffff:ffff
89fc03:6005:8000::/36fc03:6005:8fff:ffff:ffff:ffff:ffff:ffff
90fc03:6005:9000::/36fc03:6005:9fff:ffff:ffff:ffff:ffff:ffff
91fc03:6005:a000::/36fc03:6005:afff:ffff:ffff:ffff:ffff:ffff
92fc03:6005:b000::/36fc03:6005:bfff:ffff:ffff:ffff:ffff:ffff
93fc03:6005:c000::/36fc03:6005:cfff:ffff:ffff:ffff:ffff:ffff
94fc03:6005:d000::/36fc03:6005:dfff:ffff:ffff:ffff:ffff:ffff
95fc03:6005:e000::/36fc03:6005:efff:ffff:ffff:ffff:ffff:ffff
96fc03:6005:f000::/36fc03:6005:ffff:ffff:ffff:ffff:ffff:ffff
97fc03:6006::/36fc03:6006:fff:ffff:ffff:ffff:ffff:ffff
98fc03:6006:1000::/36fc03:6006:1fff:ffff:ffff:ffff:ffff:ffff
99fc03:6006:2000::/36fc03:6006:2fff:ffff:ffff:ffff:ffff:ffff
100fc03:6006:3000::/36fc03:6006:3fff:ffff:ffff:ffff:ffff:ffff
101fc03:6006:4000::/36fc03:6006:4fff:ffff:ffff:ffff:ffff:ffff
102fc03:6006:5000::/36fc03:6006:5fff:ffff:ffff:ffff:ffff:ffff
103fc03:6006:6000::/36fc03:6006:6fff:ffff:ffff:ffff:ffff:ffff
104fc03:6006:7000::/36fc03:6006:7fff:ffff:ffff:ffff:ffff:ffff
105fc03:6006:8000::/36fc03:6006:8fff:ffff:ffff:ffff:ffff:ffff
106fc03:6006:9000::/36fc03:6006:9fff:ffff:ffff:ffff:ffff:ffff
107fc03:6006:a000::/36fc03:6006:afff:ffff:ffff:ffff:ffff:ffff
108fc03:6006:b000::/36fc03:6006:bfff:ffff:ffff:ffff:ffff:ffff
109fc03:6006:c000::/36fc03:6006:cfff:ffff:ffff:ffff:ffff:ffff
110fc03:6006:d000::/36fc03:6006:dfff:ffff:ffff:ffff:ffff:ffff
111fc03:6006:e000::/36fc03:6006:efff:ffff:ffff:ffff:ffff:ffff
112fc03:6006:f000::/36fc03:6006:ffff:ffff:ffff:ffff:ffff:ffff
113fc03:6007::/36fc03:6007:fff:ffff:ffff:ffff:ffff:ffff
114fc03:6007:1000::/36fc03:6007:1fff:ffff:ffff:ffff:ffff:ffff
115fc03:6007:2000::/36fc03:6007:2fff:ffff:ffff:ffff:ffff:ffff
116fc03:6007:3000::/36fc03:6007:3fff:ffff:ffff:ffff:ffff:ffff
117fc03:6007:4000::/36fc03:6007:4fff:ffff:ffff:ffff:ffff:ffff
118fc03:6007:5000::/36fc03:6007:5fff:ffff:ffff:ffff:ffff:ffff
119fc03:6007:6000::/36fc03:6007:6fff:ffff:ffff:ffff:ffff:ffff
120fc03:6007:7000::/36fc03:6007:7fff:ffff:ffff:ffff:ffff:ffff
121fc03:6007:8000::/36fc03:6007:8fff:ffff:ffff:ffff:ffff:ffff
122fc03:6007:9000::/36fc03:6007:9fff:ffff:ffff:ffff:ffff:ffff
123fc03:6007:a000::/36fc03:6007:afff:ffff:ffff:ffff:ffff:ffff
124fc03:6007:b000::/36fc03:6007:bfff:ffff:ffff:ffff:ffff:ffff
125fc03:6007:c000::/36fc03:6007:cfff:ffff:ffff:ffff:ffff:ffff
126fc03:6007:d000::/36fc03:6007:dfff:ffff:ffff:ffff:ffff:ffff
127fc03:6007:e000::/36fc03:6007:efff:ffff:ffff:ffff:ffff:ffff
128fc03:6007:f000::/36fc03:6007:ffff:ffff:ffff:ffff:ffff:ffff
129fc03:6008::/36fc03:6008:fff:ffff:ffff:ffff:ffff:ffff
130fc03:6008:1000::/36fc03:6008:1fff:ffff:ffff:ffff:ffff:ffff
131fc03:6008:2000::/36fc03:6008:2fff:ffff:ffff:ffff:ffff:ffff
132fc03:6008:3000::/36fc03:6008:3fff:ffff:ffff:ffff:ffff:ffff
133fc03:6008:4000::/36fc03:6008:4fff:ffff:ffff:ffff:ffff:ffff
134fc03:6008:5000::/36fc03:6008:5fff:ffff:ffff:ffff:ffff:ffff
135fc03:6008:6000::/36fc03:6008:6fff:ffff:ffff:ffff:ffff:ffff
136fc03:6008:7000::/36fc03:6008:7fff:ffff:ffff:ffff:ffff:ffff
137fc03:6008:8000::/36fc03:6008:8fff:ffff:ffff:ffff:ffff:ffff
138fc03:6008:9000::/36fc03:6008:9fff:ffff:ffff:ffff:ffff:ffff
139fc03:6008:a000::/36fc03:6008:afff:ffff:ffff:ffff:ffff:ffff
140fc03:6008:b000::/36fc03:6008:bfff:ffff:ffff:ffff:ffff:ffff
141fc03:6008:c000::/36fc03:6008:cfff:ffff:ffff:ffff:ffff:ffff
142fc03:6008:d000::/36fc03:6008:dfff:ffff:ffff:ffff:ffff:ffff
143fc03:6008:e000::/36fc03:6008:efff:ffff:ffff:ffff:ffff:ffff
144fc03:6008:f000::/36fc03:6008:ffff:ffff:ffff:ffff:ffff:ffff
145fc03:6009::/36fc03:6009:fff:ffff:ffff:ffff:ffff:ffff
146fc03:6009:1000::/36fc03:6009:1fff:ffff:ffff:ffff:ffff:ffff
147fc03:6009:2000::/36fc03:6009:2fff:ffff:ffff:ffff:ffff:ffff
148fc03:6009:3000::/36fc03:6009:3fff:ffff:ffff:ffff:ffff:ffff
149fc03:6009:4000::/36fc03:6009:4fff:ffff:ffff:ffff:ffff:ffff
150fc03:6009:5000::/36fc03:6009:5fff:ffff:ffff:ffff:ffff:ffff
151fc03:6009:6000::/36fc03:6009:6fff:ffff:ffff:ffff:ffff:ffff
152fc03:6009:7000::/36fc03:6009:7fff:ffff:ffff:ffff:ffff:ffff
153fc03:6009:8000::/36fc03:6009:8fff:ffff:ffff:ffff:ffff:ffff
154fc03:6009:9000::/36fc03:6009:9fff:ffff:ffff:ffff:ffff:ffff
155fc03:6009:a000::/36fc03:6009:afff:ffff:ffff:ffff:ffff:ffff
156fc03:6009:b000::/36fc03:6009:bfff:ffff:ffff:ffff:ffff:ffff
157fc03:6009:c000::/36fc03:6009:cfff:ffff:ffff:ffff:ffff:ffff
158fc03:6009:d000::/36fc03:6009:dfff:ffff:ffff:ffff:ffff:ffff
159fc03:6009:e000::/36fc03:6009:efff:ffff:ffff:ffff:ffff:ffff
160fc03:6009:f000::/36fc03:6009:ffff:ffff:ffff:ffff:ffff:ffff
161fc03:600a::/36fc03:600a:fff:ffff:ffff:ffff:ffff:ffff
162fc03:600a:1000::/36fc03:600a:1fff:ffff:ffff:ffff:ffff:ffff
163fc03:600a:2000::/36fc03:600a:2fff:ffff:ffff:ffff:ffff:ffff
164fc03:600a:3000::/36fc03:600a:3fff:ffff:ffff:ffff:ffff:ffff
165fc03:600a:4000::/36fc03:600a:4fff:ffff:ffff:ffff:ffff:ffff
166fc03:600a:5000::/36fc03:600a:5fff:ffff:ffff:ffff:ffff:ffff
167fc03:600a:6000::/36fc03:600a:6fff:ffff:ffff:ffff:ffff:ffff
168fc03:600a:7000::/36fc03:600a:7fff:ffff:ffff:ffff:ffff:ffff
169fc03:600a:8000::/36fc03:600a:8fff:ffff:ffff:ffff:ffff:ffff
170fc03:600a:9000::/36fc03:600a:9fff:ffff:ffff:ffff:ffff:ffff
171fc03:600a:a000::/36fc03:600a:afff:ffff:ffff:ffff:ffff:ffff
172fc03:600a:b000::/36fc03:600a:bfff:ffff:ffff:ffff:ffff:ffff
173fc03:600a:c000::/36fc03:600a:cfff:ffff:ffff:ffff:ffff:ffff
174fc03:600a:d000::/36fc03:600a:dfff:ffff:ffff:ffff:ffff:ffff
175fc03:600a:e000::/36fc03:600a:efff:ffff:ffff:ffff:ffff:ffff
176fc03:600a:f000::/36fc03:600a:ffff:ffff:ffff:ffff:ffff:ffff
177fc03:600b::/36fc03:600b:fff:ffff:ffff:ffff:ffff:ffff
178fc03:600b:1000::/36fc03:600b:1fff:ffff:ffff:ffff:ffff:ffff
179fc03:600b:2000::/36fc03:600b:2fff:ffff:ffff:ffff:ffff:ffff
180fc03:600b:3000::/36fc03:600b:3fff:ffff:ffff:ffff:ffff:ffff
181fc03:600b:4000::/36fc03:600b:4fff:ffff:ffff:ffff:ffff:ffff
182fc03:600b:5000::/36fc03:600b:5fff:ffff:ffff:ffff:ffff:ffff
183fc03:600b:6000::/36fc03:600b:6fff:ffff:ffff:ffff:ffff:ffff
184fc03:600b:7000::/36fc03:600b:7fff:ffff:ffff:ffff:ffff:ffff
185fc03:600b:8000::/36fc03:600b:8fff:ffff:ffff:ffff:ffff:ffff
186fc03:600b:9000::/36fc03:600b:9fff:ffff:ffff:ffff:ffff:ffff
187fc03:600b:a000::/36fc03:600b:afff:ffff:ffff:ffff:ffff:ffff
188fc03:600b:b000::/36fc03:600b:bfff:ffff:ffff:ffff:ffff:ffff
189fc03:600b:c000::/36fc03:600b:cfff:ffff:ffff:ffff:ffff:ffff
190fc03:600b:d000::/36fc03:600b:dfff:ffff:ffff:ffff:ffff:ffff
191fc03:600b:e000::/36fc03:600b:efff:ffff:ffff:ffff:ffff:ffff
192fc03:600b:f000::/36fc03:600b:ffff:ffff:ffff:ffff:ffff:ffff
193fc03:600c::/36fc03:600c:fff:ffff:ffff:ffff:ffff:ffff
194fc03:600c:1000::/36fc03:600c:1fff:ffff:ffff:ffff:ffff:ffff
195fc03:600c:2000::/36fc03:600c:2fff:ffff:ffff:ffff:ffff:ffff
196fc03:600c:3000::/36fc03:600c:3fff:ffff:ffff:ffff:ffff:ffff
197fc03:600c:4000::/36fc03:600c:4fff:ffff:ffff:ffff:ffff:ffff
198fc03:600c:5000::/36fc03:600c:5fff:ffff:ffff:ffff:ffff:ffff
199fc03:600c:6000::/36fc03:600c:6fff:ffff:ffff:ffff:ffff:ffff
200fc03:600c:7000::/36fc03:600c:7fff:ffff:ffff:ffff:ffff:ffff
201fc03:600c:8000::/36fc03:600c:8fff:ffff:ffff:ffff:ffff:ffff
202fc03:600c:9000::/36fc03:600c:9fff:ffff:ffff:ffff:ffff:ffff
203fc03:600c:a000::/36fc03:600c:afff:ffff:ffff:ffff:ffff:ffff
204fc03:600c:b000::/36fc03:600c:bfff:ffff:ffff:ffff:ffff:ffff
205fc03:600c:c000::/36fc03:600c:cfff:ffff:ffff:ffff:ffff:ffff
206fc03:600c:d000::/36fc03:600c:dfff:ffff:ffff:ffff:ffff:ffff
207fc03:600c:e000::/36fc03:600c:efff:ffff:ffff:ffff:ffff:ffff
208fc03:600c:f000::/36fc03:600c:ffff:ffff:ffff:ffff:ffff:ffff
209fc03:600d::/36fc03:600d:fff:ffff:ffff:ffff:ffff:ffff
210fc03:600d:1000::/36fc03:600d:1fff:ffff:ffff:ffff:ffff:ffff
211fc03:600d:2000::/36fc03:600d:2fff:ffff:ffff:ffff:ffff:ffff
212fc03:600d:3000::/36fc03:600d:3fff:ffff:ffff:ffff:ffff:ffff
213fc03:600d:4000::/36fc03:600d:4fff:ffff:ffff:ffff:ffff:ffff
214fc03:600d:5000::/36fc03:600d:5fff:ffff:ffff:ffff:ffff:ffff
215fc03:600d:6000::/36fc03:600d:6fff:ffff:ffff:ffff:ffff:ffff
216fc03:600d:7000::/36fc03:600d:7fff:ffff:ffff:ffff:ffff:ffff
217fc03:600d:8000::/36fc03:600d:8fff:ffff:ffff:ffff:ffff:ffff
218fc03:600d:9000::/36fc03:600d:9fff:ffff:ffff:ffff:ffff:ffff
219fc03:600d:a000::/36fc03:600d:afff:ffff:ffff:ffff:ffff:ffff
220fc03:600d:b000::/36fc03:600d:bfff:ffff:ffff:ffff:ffff:ffff
221fc03:600d:c000::/36fc03:600d:cfff:ffff:ffff:ffff:ffff:ffff
222fc03:600d:d000::/36fc03:600d:dfff:ffff:ffff:ffff:ffff:ffff
223fc03:600d:e000::/36fc03:600d:efff:ffff:ffff:ffff:ffff:ffff
224fc03:600d:f000::/36fc03:600d:ffff:ffff:ffff:ffff:ffff:ffff
225fc03:600e::/36fc03:600e:fff:ffff:ffff:ffff:ffff:ffff
226fc03:600e:1000::/36fc03:600e:1fff:ffff:ffff:ffff:ffff:ffff
227fc03:600e:2000::/36fc03:600e:2fff:ffff:ffff:ffff:ffff:ffff
228fc03:600e:3000::/36fc03:600e:3fff:ffff:ffff:ffff:ffff:ffff
229fc03:600e:4000::/36fc03:600e:4fff:ffff:ffff:ffff:ffff:ffff
230fc03:600e:5000::/36fc03:600e:5fff:ffff:ffff:ffff:ffff:ffff
231fc03:600e:6000::/36fc03:600e:6fff:ffff:ffff:ffff:ffff:ffff
232fc03:600e:7000::/36fc03:600e:7fff:ffff:ffff:ffff:ffff:ffff
233fc03:600e:8000::/36fc03:600e:8fff:ffff:ffff:ffff:ffff:ffff
234fc03:600e:9000::/36fc03:600e:9fff:ffff:ffff:ffff:ffff:ffff
235fc03:600e:a000::/36fc03:600e:afff:ffff:ffff:ffff:ffff:ffff
236fc03:600e:b000::/36fc03:600e:bfff:ffff:ffff:ffff:ffff:ffff
237fc03:600e:c000::/36fc03:600e:cfff:ffff:ffff:ffff:ffff:ffff
238fc03:600e:d000::/36fc03:600e:dfff:ffff:ffff:ffff:ffff:ffff
239fc03:600e:e000::/36fc03:600e:efff:ffff:ffff:ffff:ffff:ffff
240fc03:600e:f000::/36fc03:600e:ffff:ffff:ffff:ffff:ffff:ffff
241fc03:600f::/36fc03:600f:fff:ffff:ffff:ffff:ffff:ffff
242fc03:600f:1000::/36fc03:600f:1fff:ffff:ffff:ffff:ffff:ffff
243fc03:600f:2000::/36fc03:600f:2fff:ffff:ffff:ffff:ffff:ffff
244fc03:600f:3000::/36fc03:600f:3fff:ffff:ffff:ffff:ffff:ffff
245fc03:600f:4000::/36fc03:600f:4fff:ffff:ffff:ffff:ffff:ffff
246fc03:600f:5000::/36fc03:600f:5fff:ffff:ffff:ffff:ffff:ffff
247fc03:600f:6000::/36fc03:600f:6fff:ffff:ffff:ffff:ffff:ffff
248fc03:600f:7000::/36fc03:600f:7fff:ffff:ffff:ffff:ffff:ffff
249fc03:600f:8000::/36fc03:600f:8fff:ffff:ffff:ffff:ffff:ffff
250fc03:600f:9000::/36fc03:600f:9fff:ffff:ffff:ffff:ffff:ffff
251fc03:600f:a000::/36fc03:600f:afff:ffff:ffff:ffff:ffff:ffff
252fc03:600f:b000::/36fc03:600f:bfff:ffff:ffff:ffff:ffff:ffff
253fc03:600f:c000::/36fc03:600f:cfff:ffff:ffff:ffff:ffff:ffff
254fc03:600f:d000::/36fc03:600f:dfff:ffff:ffff:ffff:ffff:ffff
255fc03:600f:e000::/36fc03:600f:efff:ffff:ffff:ffff:ffff:ffff
256fc03:600f:f000::/36fc03:600f:ffff:ffff:ffff:ffff:ffff:ffff

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses